Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito.mock
Interface MockCreationSettings<T>

All Known Implementing Classes:
  CreationSettings, MockSettingsImpl

    @Incubating
    public interface MockCreationSettings<T>

Informs about the mock settings. An immutable view of `MockSettings`.

Method Summary
`Answer` | `getDefaultAnswer()` the default answer for this mock, see `MockSettings.defaultAnswer(org.mockito.stubbing.Answer)`.
`java.util.Set<java.lang.Class>` | `getExtraInterfaces()` the extra interfaces the mock object should implement.
`java.util.List<InvocationListener>` | `getInvocationListeners()` the invocation listeners attached to this mock, see `MockSettings.invocationListeners(org.mockito.listeners.InvocationListener...)`.
`MockName` | `getMockName()` the name of this mock, as printed on verification errors; see `MockSettings.name(java.lang.String)`.
`java.lang.Object` | `getSpiedInstance()` the spied instance - needed for spies.
`java.lang.Class<T>` | `getTypeToMock()` Mocked type.
`boolean` | `isSerializable()` if the mock is serializable, see `MockSettings.serializable()`.

Method Detail

### getTypeToMock

    java.lang.Class<T> getTypeToMock()

  Mocked type. An interface or class the mock should implement / extend.

### getExtraInterfaces

    java.util.Set<java.lang.Class> getExtraInterfaces()

  the extra interfaces the mock object should implement.

### getMockName

    MockName getMockName()

  the name of this mock, as printed on verification errors; see `MockSettings.name(java.lang.String)`.

### getDefaultAnswer

    Answer getDefaultAnswer()

  the default answer for this mock, see `MockSettings.defaultAnswer(org.mockito.stubbing.Answer)`.

### getSpiedInstance

    java.lang.Object getSpiedInstance()

  the spied instance - needed for spies.

### isSerializable

    boolean isSerializable()

  if the mock is serializable, see `MockSettings.serializable()`.

### getInvocationListeners

    java.util.List<InvocationListener> getInvocationListeners()

  the invocation listeners attached to this mock, see `MockSettings.invocationListeners(org.mockito.listeners.InvocationListener...)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD